<!DOCTYPE html>
<html lang="en" style="height: 100%">
<head>
    <meta charset="UTF-8">
    <title>Testing</title>
</head>
<body style="height: 100%">
<script>
    if ('serviceWorker' in navigator) {
        var interceptorLoaded = navigator.serviceWorker.controller != null;
        window.addEventListener('load', function () {
            navigator.serviceWorker.register('service-worker.js')
                .then(function (registration) {
                        // console.log('ServiceWorker registration successful with scope: ', registration.scope);
                        if (!interceptorLoaded) {
                            window.location = window.location.href;
                            // console.log("Interceptor failed to load")
                        }
                    },
                    function (err) {
                        console.log('ServiceWorker registration failed: ', err);
                    });
        });
    }

</script>
<h1>Encryption - Decryption Test</h1>
<div id="includedContent" style="width: 100%; height: 100%">
    <iframe src="encrypted/3_enc/web/tce_ignitor.html" style="width: 100%; height: 100%"></iframe>
</div>
</body>
</html>
